---
type: api
title: Get the billing history for the organization.
description: Retrieves the billing statement and invoice history for the organization, including statement periods, amounts, statuses, and PDF download links when available.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-billing/operation/operation-gethistoryv1
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-billing/operation/operation-gethistoryv1
products:
  - Elastic Cloud Hosted
---

# Get the billing history for the organization.

- Server: `https://cloud.elastic.co` (Public)

## Paths

- `GET` `/api/v1/billing/organization/{organization_id}/history`

#### Path Parameters

- `organization_id` (string)

## Description

Retrieves the billing statement and invoice history for the organization, including statement periods, amounts, statuses, and PDF download links when available.

## Responses

#### `200`

Successful fetched billing history.

`application/json`

- `invoices` ([] object)
  - `external_invoice_pdf_download` (string)
  - `invoice_pdf_download` (string)
  - `invoiced_amount_in_cents` (integer)
  - `issue_date` (string)
  - `number` (integer)
  - `organization_id` (string)
  - `payment_metadata` (object)
    - `amount` (number)
    - `currency` (string)
    - `external_invoice_id` (string)
  - `period_end_date` (string)
  - `period_start_date` (string)
  - `status` (string)
  - `type` (string)
- `statements` ([] object)
  - `currency` (string)
  - `ecu_total` (integer)
  - `external_invoice_pdf_download` (string)
    Presigned S3 URL for the externally generated (e.g. Recurly) invoice PDF. Present only when that PDF exists in S3.
  - `invoiced_amount_in_cents` (integer)
  - `issue_date` (string)
  - `number` (string)
  - `organization_id` (string)
  - `payment_metadata` (object)
    Present only when payment details exist (e.g. Recurly details for direct monthly CC statements).
    - `amount` (number)
    - `currency` (string)
    - `external_invoice_id` (string)
  - `payment_method` (enum)
    Payment method for the statement organization ("CC" or "PO").
    Values: `CC`, `PO`
  - `period_end_date` (string)
  - `period_start_date` (string)
  - `reseller` (boolean)
  - `status` (string)
  - `type` (string)
  - `usage_pdf_download` (string)
#### `401`

Access token is missing or invalid

`text/plain`

Type: `string`

#### `404`

Not found.

#### `500`

Internal Server Error.

## Code Examples

#### Console

```console
GET /api/v1/billing/organization/{organization_id}/history
```

#### curl

```curl
curl -X GET "https://cloud.elastic.co/api/v1/billing/organization/{organization_id}/history"
```

## Response Examples

#### 200

```json
{
  "invoices": [
    {
      "invoiced_amount_in_cents": 0,
      "issue_date": "2022-05-01",
      "number": 1,
      "organization_id": "1",
      "period_end_date": "2022-05-31",
      "period_start_date": "2022-05-01",
      "status": "paid",
      "type": "invoice"
    }
  ],
  "statements": []
}
```

